%define cl_h_ver	2023.02.06
%define cl_hpp_ver	%{cl_h_ver}
%define snap		%(echo %{cl_h_ver} | sed -e 's/\\.//g')

%define rel	1

Name:		opencl-headers
Version:	3.0
Release:	%mkrel -c %snap %rel
Summary:	OpenCL (Open Computing Language) headers
License:	MIT
Group:		Development/C
URL:		https://www.khronos.org/registry/OpenCL/
Source0:	https://github.com/KhronosGroup/OpenCL-Headers/archive/v%{cl_h_ver}/%{name}-%{version}-%{cl_h_ver}.tar.gz
# # OCL 2.0 compatibility
Source1:	https://github.com/KhronosGroup/OpenCL-CLHPP/archive/v%{cl_hpp_ver}/opencl-clhpp-%{version}-%{cl_hpp_ver}.tar.gz
# OCL 1.2 compatibility
Source2:	https://www.khronos.org/registry/cl/api/2.1/cl.hpp
# See $API and $HEADERS variables inside get-tarball.sh when updating:
Source10:	get-tarball.sh
#Patch1:		0001-Added_support_for-pkg-config.patch
Patch2:		0002-Added-HeadersCpp-cmake-config-files.patch
# Fix typo causing compiler error
BuildArch:	noarch

BuildRequires:	cmake

# Usually we want libOpenCL.so as well, so recommend it:
Recommends:	opencl-devel

%description
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides the official Khronos Group OpenCL headers needed to
compile programs that use OpenCL.

%prep
%setup -q -n OpenCL-Headers-%{cl_h_ver} -a1
%autopatch -p1

cp -p OpenCL-CLHPP-%{cl_hpp_ver}/include/CL/{cl2,opencl}.hpp %{SOURCE2} CL/

# fix version API
sed -i 's|VERSION 2.2|VERSION %{version}|' CMakeLists.txt
# fix pkgconfig path
sed -i 's|CMAKE_INSTALL_LIBDIR|CMAKE_INSTALL_DATADIR|' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%dir %{_includedir}/CL
%{_includedir}/CL/*.h*
%{_datadir}/cmake/OpenCLHeaders/
%{_datadir}/cmake/OpenCLHeadersCpp/
%{_datadir}/pkgconfig/OpenCL-Headers.pc


%changelog
* Sun Feb 19 2023 daviddavid <daviddavid> 3.0-0.20230206.1.mga9
+ Revision: 1944125
- new version: 3.0-2023.02.06
- update also opencl-clhpp to 3.0-2023.02.06

* Tue Jan 31 2023 daviddavid <daviddavid> 3.0-0.20220930.1.mga9
+ Revision: 1937221
- new version: 3.0-2022.09.30 (fixes mga#30010)
- update also opencl-clhpp to 3.0-2022.09.30
- compile now with cmake build system
- backport upstream patch to added pkg-config support
- add patch to enable HeadersCpp cmake config files (Thanks to Aurelian R (mga#30010#C8))

* Mon Mar 21 2022 umeabot <umeabot> 2.2-0.20200218.2.mga9
+ Revision: 1812419
- Mageia 9 Mass Rebuild
+ daviddavid <daviddavid>
- update URL

* Sat Feb 29 2020 daviddavid <daviddavid> 2.2-0.20200218.1.mga8
+ Revision: 1552251
- update to latest 2.2 api code (snapshot from 20200218)
- add 1.2 api code compatibility
- add 2.0 api code compatibility

* Wed Feb 12 2020 umeabot <umeabot> 1.2-1.20150303.3.mga8
+ Revision: 1492678
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2-1.20150303.2.mga7
+ Revision: 1265385
- Mageia 7 Mass Rebuild

* Fri Jan 15 2016 tmb <tmb> 1.2-1.20150303.1.mga6
+ Revision: 923345
- update to latest 1.2 api code

* Wed Oct 15 2014 umeabot <umeabot> 1.2-1.20121130.6.mga5
+ Revision: 743491
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-1.20121130.5.mga5
+ Revision: 683193
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.2-1.20121130.4.mga4
+ Revision: 508648
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2-1.20121130.3.mga3
+ Revision: 361916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 1.2-1.20121130.2.mga3
+ Revision: 343633
- fix typos in cl_ext.h causing compiler errors (fix-typo.patch)

* Wed Jan 09 2013 anssi <anssi> 1.2-1.20121130.1.mga3
+ Revision: 343629
- new snapshot

* Sun Aug 05 2012 anssi <anssi> 1.2-1.20120418.2.mga3
+ Revision: 278575
- add missing cl.hpp header

* Sun Aug 05 2012 anssi <anssi> 1.2-1.20120418.1.mga3
+ Revision: 278532
- initial Mageia package release

